using System.ComponentModel;
using WCS.Core;
using WCS.Entity.Protocol.DataStructure;
using WCS.Service.Worlds;

namespace WCS.Service.Systems
{
    /// <summary>
    ///  数据采集系统
    /// </summary>
    [BelongTo(typeof(DataCollectionWorld))]
    [Description("数据采集系统")]
    public class DataCollectionSysyem : ServiceSystem<bool, bool>
    {
        public DataCollectionSysyem()
        {
        }

        protected override bool Do(bool obj)
        {
            DeviceDataPack pack = new DeviceDataPack();

            return true;
        }
    }
}
